> ## Documentation Index
> Fetch the complete documentation index at: https://scaleup-c34c4386.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# DELETE /api/v1/discounts/:id

> Remove um desconto permanentemente

Exclui um desconto permanentemente. Assinaturas que já utilizam este desconto não serão afetadas.

## Autenticação

> [!NOTE]
>
> Requer um token de acesso válido (`CHARGEFY_ACCESS_TOKEN`) no header `Authorization`.

## Parâmetros de Path

| Parâmetro | Tipo | Obrigatório | Descrição |
| - | - | - | - |
| `id` | `string` | Sim | ID do desconto |

## Resposta

Retorna status `204 No Content` em caso de sucesso.

## Exemplo de Requisição

```bash cURL theme={null}
curl -X DELETE "https://api.chargefy.io/api/v1/discounts/disc_abc123" \
  -H "Authorization: Bearer $CHARGEFY_ACCESS_TOKEN"
```

```typescript SDK theme={null}
import { Chargefy } from '@chargefy/sdk';

const chargefy = new Chargefy({
  accessToken: process.env.CHARGEFY_ACCESS_TOKEN,
});

await chargefy.discounts.delete('disc_abc123');
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.